Bug 1260006 - [abrt] java-1.8.0-openjdk-devel: os::die(): java killed by SIGABRT
[abrt] java-1.8.0-openjdk-devel: os::die(): java killed by SIGABRT
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: java-1.8.0-openjdk (Show other bugs)
21
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Deepak Bhole
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:8c8e11583da2217912e0d1d823c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-04 03:06 EDT by Petr Sakař
Modified: 2015-12-02 13:17 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 10:12:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (109.34 KB, text/plain)
2015-09-04 03:06 EDT, Petr Sakař
no flags Details
File: cgroup (191 bytes, text/plain)
2015-09-04 03:06 EDT, Petr Sakař
no flags Details
File: core_backtrace (85.30 KB, text/plain)
2015-09-04 03:06 EDT, Petr Sakař
no flags Details
File: dso_list (3.25 KB, text/plain)
2015-09-04 03:06 EDT, Petr Sakař
no flags Details
File: environ (1.88 KB, text/plain)
2015-09-04 03:06 EDT, Petr Sakař
no flags Details
File: limits (1.29 KB, text/plain)
2015-09-04 03:06 EDT, Petr Sakař
no flags Details
File: maps (34.36 KB, text/plain)
2015-09-04 03:06 EDT, Petr Sakař
no flags Details
File: open_fds (13.71 KB, text/plain)
2015-09-04 03:06 EDT, Petr Sakař
no flags Details
File: proc_pid_status (1.01 KB, text/plain)
2015-09-04 03:06 EDT, Petr Sakař
no flags Details
hs_err (4.59 KB, text/plain)
2015-09-04 13:42 EDT, Petr Sakař
no flags Details

  None (edit)
Description Petr Sakař 2015-09-04 03:06:41 EDT
Version-Release number of selected component:
java-1.8.0-openjdk-devel-1.8.0.51-5.b16.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.51-5.b16.fc21.x86_64/bin/java -agentlib:jdwp=transport=dt_socket,suspend=y,address=localhost:54343 -Dfile.encoding=UTF-8 -classpath /home/development/ncl/dependency-analysis-poc/target/test-classes:/home/development/ncl/dependency-analysis-poc/target/classes:/home/psakar/.m2/repository/org/hibernate/hibernate-entitymanager/4.3.11.Final/hibernate-entitymanager-4.3.11.Final.jar:/home/psakar/.m2/repository/org/jboss/logging/jboss-logging/3.1.3.GA/jboss-logging-3.1.3.GA.jar:/home/psakar/.m2/repository/org/jboss/logging/jboss-logging-annotations/1.2.0.Beta1/jboss-logging-annotations-1.2.0.Beta1.jar:/home/psakar/.m2/repository/org/hibernate/hibernate-core/4.3.11.Final/hibernate-core-4.3.11.Final.jar:/home/psakar/.m2/repository/antlr/antlr/2.7.7/antlr-2.7.7.jar:/home/psakar/.m2/repository/org/jboss/jandex/1.1.0.Final/jandex-1.1.0.Final.jar:/home/psakar/.m2/repository/dom4j/dom4j/1.6.1/dom4j-1.6.1.jar:/home/psakar/.m2/repository/xml-apis/xml-apis/1.0.b2/xml-apis-1.0.b2.jar:/home/psakar/.m2/repository/org/hibernate/common/hibernate-commons-annotations/4.0.5.Final/hibernate-commons-annotations-4.0.5.Final.jar:/home/psakar/.m2/repository/org/hibernate/javax/persistence/hibernate-jpa-2.1-api/1.0.0.Final/hibernate-jpa-2.1-api-1.0.0.Final.jar:/home/psakar/.m2/repository/org/jboss/spec/javax/transaction/jboss-transaction-api_1.2_spec/1.0.0.Final/jboss-transaction-api_1.2_spec-1.0.0.Final.jar:/home/psakar/.m2/repository/org/javassist/javassist/3.18.1-GA/javassist-3.18.1-GA.jar:/home/psakar/.m2/repository/org/hsqldb/hsqldb/2.3.2/hsqldb-2.3.2.jar:/home/psakar/.m2/repository/com/jcabi/jcabi-aether/0.10.1/jcabi-aether-0.10.1.jar:/home/psakar/.m2/repository/org/hibernate/hibernate-validator/5.1.2.Final/hibernate-validator-5.1.2.Final.jar:/home/psakar/.m2/repository/com/fasterxml/classmate/1.0.0/classmate-1.0.0.jar:/home/psakar/.m2/repository/com/jcabi/jcabi-aspects/0.18/jcabi-aspects-0.18.jar:/home/psakar/.m2/repository/com/jcabi/jcabi-log/0.14.3/jcabi-log-0.14.3.jar:/home/psakar/.m2/repository/org/slf4j/slf4j-api/1.7.5/slf4j-api-1.7.5.jar:/home/psakar/.m2/repository/org/aspectj/aspectjrt/1.8.2/aspectjrt-1.8.2.jar:/home/psakar/.m2/repository/javax/validation/validation-api/1.1.0.Final/validation-api-1.1.0.Final.jar:/home/psakar/.m2/repository/org/kuali/maven/wagons/maven-s3-wagon/1.1.20/maven-s3-wagon-1.1.20.jar:/home/psakar/.m2/repository/org/kuali/common/kuali-s3/1.0.1/kuali-s3-1.0.1.jar:/home/psakar/.m2/repository/com/amazonaws/aws-java-sdk/1.4.2/aws-java-sdk-1.4.2.jar:/home/psakar/.m2/repository/org/apache/httpcomponents/httpclient/4.1/httpclient-4.1.jar:/home/psakar/.m2/repository/org/apache/httpcomponents/httpcore/4.1/httpcore-4.1.jar:/home/psakar/.m2/repository/commons-codec/commons-codec/1.3/commons-codec-1.3.jar:/home/psakar/.m2/repository/org/codehaus/jackson/jackson-core-asl/1.8.9/jackson-core-asl-1.8.9.jar:/home/psakar/.m2/repository/org/codehaus/jackson/jackson-mapper-asl/1.8.9/jackson-mapper-asl-1.8.9.jar:/home/psakar/.m2/repository/org/springframework/spring-core/3.1.2.RELEASE/spring-core-3.1.2.RELEASE.jar:/home/psakar/.m2/repository/commons-io/commons-io/2.4/commons-io-2.4.jar:/home/psakar/.m2/repository/commons-lang/commons-lang/2.6/commons-lang-2.6.jar:/home/psakar/.m2/repository/org/kuali/common/kuali-threads/1.0.9/kuali-threads-1.0.9.jar:/home/psakar/.m2/repository/org/slf4j/jcl-over-slf4j/1.6.4/jcl-over-slf4j-1.6.4.jar:/home/psakar/.m2/repository/org/sonatype/aether/aether-api/1.13.1/aether-api-1.13.1.jar:/home/psakar/.m2/repository/org/sonatype/aether/aether-spi/1.13.1/aether-spi-1.13.1.jar:/home/psakar/.m2/repository/org/sonatype/aether/aether-util/1.13.1/aether-util-1.13.1.jar:/home/psakar/.m2/repository/org/sonatype/aether/aether-connector-file/1.13.1/aether-connector-file-1.13.1.jar:/home/psakar/.m2/repository/org/sonatype/aether/aether-connector-asynchttpclient/1.13.1/aether-connector-asynchttpclient-1.13.1.jar:/home/psakar/.m2/repository/com/ning/async-http-client/1.6.5/async-http-client-1.6.5.jar:/home/psakar/.m2/repository/org/jboss/netty/netty/3.2.5.Final/netty-3.2.5.Final.
crash_function: os::die
executable:     /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.51-5.b16.fc21.x86_64/bin/java
kernel:         4.1.5-100.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            21528

Truncated backtrace:
Thread no. 1 (3 frames)
 #2 os::die at /usr/src/debug/java-1.8.0-openjdk-1.8.0.51-5.b16.fc21.x86_64/openjdk/hotspot/src/os/linux/vm/os_linux.cpp:1555
 #3 WatcherThread::run at /usr/src/debug/java-1.8.0-openjdk-1.8.0.51-5.b16.fc21.x86_64/openjdk/hotspot/src/share/vm/runtime/thread.cpp:1341
 #4 java_start at /usr/src/debug/java-1.8.0-openjdk-1.8.0.51-5.b16.fc21.x86_64/openjdk/hotspot/src/os/linux/vm/os_linux.cpp:832
Comment 1 Petr Sakař 2015-09-04 03:06:46 EDT
Created attachment 1070164 [details]
File: backtrace
Comment 2 Petr Sakař 2015-09-04 03:06:47 EDT
Created attachment 1070165 [details]
File: cgroup
Comment 3 Petr Sakař 2015-09-04 03:06:49 EDT
Created attachment 1070166 [details]
File: core_backtrace
Comment 4 Petr Sakař 2015-09-04 03:06:51 EDT
Created attachment 1070167 [details]
File: dso_list
Comment 5 Petr Sakař 2015-09-04 03:06:52 EDT
Created attachment 1070168 [details]
File: environ
Comment 6 Petr Sakař 2015-09-04 03:06:53 EDT
Created attachment 1070169 [details]
File: limits
Comment 7 Petr Sakař 2015-09-04 03:06:55 EDT
Created attachment 1070170 [details]
File: maps
Comment 8 Petr Sakař 2015-09-04 03:06:57 EDT
Created attachment 1070171 [details]
File: open_fds
Comment 9 Petr Sakař 2015-09-04 03:06:58 EDT
Created attachment 1070172 [details]
File: proc_pid_status
Comment 10 Petr Sakař 2015-09-04 03:07:47 EDT
happened while debug + hotswap code in lambda
Comment 11 Deepak Bhole 2015-09-04 10:46:05 EDT
How can we reproduce it?
Comment 12 Petr Sakař 2015-09-04 13:42:23 EDT
Created attachment 1070379 [details]
hs_err
Comment 13 Deepak Bhole 2015-09-04 13:51:15 EDT
Unfortunately that hs_err file does not contain enough information :( Can you reproduce this problem? If so, how can we do it?
Comment 14 Fedora End Of Life 2015-11-04 05:38:00 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2015-12-02 10:12:57 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.